# Selfhosting Trashmail API

Basic self hosting trashmail API using docker NodeJS, Redis, NGINX + LUA


Requirements
---
 * Docker
 * [Docker-Compose](https://docs.docker.com/compose/)


Installation
---
You need to set permissions right to allow npm to run `npm install`
```
chmod -R 777 node
docker-compose up
```

Use the `-d` option to run the containers in daemon mode, and `docker-compose logs -f` to watch logs


Add new domain source list
---
You can add a new domain source list by modifying `node/repositories.json`

```json
[
	{
		"name": "adamloving temporary email address domains",
		"url": "https://gist.githubusercontent.com/adamloving/4401361/raw/db901ef28d20af8aa91bf5082f5197d27926dea4/temporary-email-address-domains"
	},
	{
		"name": "my new list",
		"url": "http://my.new.list.com/list.txt"
	}
]
```